Subject: Re: how to set CYGWIN variable for Emacs
From: "David A. Cobb" <[email-masked]>
To: Cygwin List <[email-masked]>
Date: Fri, 12 Jan 2001 16:14:08 -0500

In my uncommonly humble opinion, it's much neater to have (a copy of) CYGWIN.BAT
launch bash first with a command "emacs &"  If your ~/.emacs is silent on the
subject, the appropriate shell will be set from environment variable SHELL.  In
practice, I go a step further and do "exec emacs -f shell" then do all my shell
commands inside my favorite editor.

The big issue, of course, is which file-naming system the emacs uses; but I just
read that alle emacsen verstehen eunuchs.

"Larry Hall (RFK Partners, Inc)" wrote:

> At 02:44 PM 1/12/2001, Daniel Barclay wrote:
> >"Larry Hall (RFK Partners, Inc)" wrote:
> > >
> > > At 11:12 AM 1/12/2001, Daniel Barclay wrote:
> > > >What's the recommended way to set the CYGWIN environment variable
> > > >when running in an NTEmacs shell buffer?
> > > >
> > > >The CygWin FAQ gives instructions at
> > > >http://sources.redhat.com/cygwin/faq/faq.html#SEC54:
> > > >
> >...
> > > >         (setq shell-file-name "bash")
> > > >         (setenv "SHELL" shell-file-name)
> > > >         (setq explicit-shell-file-name shell-file-name)
> > > >         ;;
> >...
> > > >However, this seems to run bash directly, bypassing the cygwin.bat
> > > >file.
> > > >
> > > >Should Emacs run cygwin.bat directly?  Should the CYGWIN variable be
> > > >set in some place other than cygwin.bat (e.g., in Emacs or in the
> > > >NT environment) so that it gets set even if cygwin.bat isn't run?
> > >
> > > Some of the settings in CYGWIN are read by cygwin1.dll only at DLL
> > > initialization time.  As a result, it is generally recommended that you
> > > set CYGWIN *before* any Cygwin-dependent application runs (i.e. so that
> > > the DLL is not loaded and the changes take affect when the next app is
> > > run).  This is really the only rule about how and where CYGWIN should be
> > > set.  Feel free to set it in your control panel (on NT/W2K) or autoexec.bat
> > > (on Win 9x's) if you want.
> >
> >Actually, part of what I was asking was this:  Should Emacs should
> >call cygwin.bat (instead of calling bash directly)?
> >
> >Daniel
>
> It doesn't have to if you make sure that everything that cygwin.bat did
> is done before you run Emacs and/or you know what you're doing.  YMMV.
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                     http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
David A. Cobb, Software Engineer, Public Access Advocate.  Public Key at:
<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple